Page MenuHomePhabricator

CX: Support Timeline content
Closed, ResolvedPublic

Description

Support for content generated using https://www.mediawiki.org/wiki/Extension:EasyTimeline

This was blacklisted content in CX1 for some reason. In CX2, we can enable it. I dont think there is anything to adapt.
There may be a few UI issues to handle to make the timeline fit the column width

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterve.init.mw.CXTarget: Customize parsefragment
mediawiki/extensions/ContentTranslation : masterCX2: Customized Extension node
mediawiki/services/cxserver : masterDo not blacklist timeline

Event Timeline

santhosh triaged this task as Medium priority.Apr 4 2018, 9:39 AM
santhosh created this task.

Change 423869 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Do not blacklist timeline

https://gerrit.wikimedia.org/r/423869

Change 423869 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Do not blacklist timeline

https://gerrit.wikimedia.org/r/423869

Nikerabbit moved this task from In Progress to QA on the Language-2018-Apr-June board.
Nikerabbit removed a project: Patch-For-Review.

Change 424565 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Customized Extension node

https://gerrit.wikimedia.org/r/424565

Etonkovidova added a subscriber: Etonkovidova.EditedApr 7 2018, 12:58 AM

Checked in cx2-testing - the display is quite decent (I used the examples from https://www.mediawiki.org/wiki/Extension:EasyTimeline). The horizontal scrollbar functions correctly and it's helpful to see the whole length of a timeline.
The UI display is fine. There are couple of UI issues I filed as separate tickets (the issues are rather minor).
The scope of this task is to support the content generated by Extension:EasyTimeline which is done.

(1) filed as T191753: Timeline content: Categories section displayed shifted up in articles with Timeline content:
"Timeline of aircraft carriers of the United States Navy" - 'Categories' section is displayed shifted up, but when sections such as 'See also' or 'References' are translated, 'Categories' will move in their proper place at the bottom of the page:

(2) filed as T191754: Timeline content: additional part of horizontal scrollbar is displayed:
"Timeline of the Apple II family" displays an additional part of the horizontal scrollbar:

Etonkovidova closed this task as Resolved.Apr 9 2018, 12:41 AM

Change 424983 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] ve.init.mw.CXTarget: Customize parsefragment

https://gerrit.wikimedia.org/r/424983

Change 424565 abandoned by Santhosh:
CX2: Customized Extension node

Reason:
Abandoning in favor of https://gerrit.wikimedia.org/r/c/424983/

https://gerrit.wikimedia.org/r/424565

Change 424983 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] ve.init.mw.CXTarget: Customize parsefragment

https://gerrit.wikimedia.org/r/424983

Arrbee moved this task from QA to Done on the Language-2018-Apr-June board.Apr 10 2018, 12:56 PM